IRM 018: Winamp 5.13 m3u Playlist Buffer Overflow

2006-02-25T00:00:00
ID SECURITYVULNS:DOC:11584
Type securityvulns
Reporter Securityvulns
Modified 2006-02-25T00:00:00

Description

IRM Security Advisory No. 018

Winamp 5.13 m3u Playlist Buffer Overflow

Vulnerability Type / Importance: Unauthorised Code Execution / High

Problem Discovered: February 17th 2006 Vendor Contacted: February 17th 2006 Advisory Published: February 24th 2006

Abstract:

Nullsoft Winamp is a popular media player available for multiple platforms.

Description:

A buffer overflow exists in Winamp's handling of a m3u playlist file.

Technical Details:

Winamp 5.13 and earlier is susceptible to a buffer overflow condition when a specially crafted playlist filename (m3u or pls) is embedded within another m3u playlist.

Vendor & Patch Information:

Nullsoft were contacted and have confirmed this as a new vulnerability. They have addressed this along with other vulnerabilities in the new release of Winamp 5.2 (http://www.winamp.com/player/version_history.php). It is recommended that user's upgrade to the new version of winamp as soon as possible.

Tested Versions:

Winamp 5.13

Credits:

Research & Advisory: P Robinson

Disclaimer:

All information in this advisory is provided on an 'as is' basis in the hope that it will be useful. Information Risk Management Plc is not responsible for any risks or occurrences caused by the application of this information.

About IRM:

IRM is a product independent information security consultancy based in the UK, Hong Kong, Spain and Dubai.

http://www.irmplc.com